
Smart Proxy - Feature #11582

Implement proxy API for "built" command

08/27/2015 04:50 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This is hopefully the last missing bit in indirect communication feature.

Related issues:

Related to Smart Proxy - Feature #969: Direct Client->Foreman communication s... Closed 06/09/2011

History

#1 - 08/27/2015 04:51 AM - Lukas Zapletal

- Related to Feature #969: Direct Client->Foreman communication shouldn't be needed (and moved to the Proxy) added

#2 - 08/27/2015 04:54 AM - Daniel Lobato Garcia

- Project changed from Foreman to Smart Proxy

- Category deleted (Templates)

#3 - 08/27/2015 07:32 AM - Stephen Benjamin

Built is just an unattended action, why wouldn't it work?

https://github.com/theforeman/smart-proxy/blob/develop/modules/templates/templates_api.rb#L17

 Pretty sure we've tested provisioning hosts with firewalls rules up to the Foreman instance.

If it is broken, that's pretty critical and this should get cloned to bugzilla, as well.

#4 - 08/27/2015 07:37 AM - Dominic Cleal

- Category set to Templates

- Status changed from New to Need more information

#5 - 08/28/2015 10:18 AM - Lukas Zapletal

- Status changed from Need more information to Rejected

Not a bug, this was caused by token_duration = 0.
